### Hierarchy

- RTCSctpTransport

## Index

### Properties

- maxChannels
- maxMessageSize
- onstatechange
- state
- transport

### Methods

- addEventListener
- removeEventListener

## Properties

### maxChannels

maxChannels: number | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11723

### maxMessageSize

maxMessageSize: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11724

### onstatechange

onstatechange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11725

### state

state: RTCSctpTransportState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11726

### transport

transport: RTCDtlsTransport

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11727

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11728

  #### Type parameters

  - #### K: keyof RTCSctpTransportEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: RTCSctpTransport, ev: RTCSctpTransportEventMap[K]): any

      - #### Parameters

        - ##### this: RTCSctpTransport

        - ##### ev: RTCSctpTransportEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11729

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11730

  #### Type parameters

  - #### K: keyof RTCSctpTransportEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: RTCSctpTransport, ev: RTCSctpTransportEventMap[K]): any

      - #### Parameters

        - ##### this: RTCSctpTransport

        - ##### ev: RTCSctpTransportEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11731

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc